/***************************************************************
	CPU初期化/割り込み制御関数ヘッダ
***************************************************************/

#ifndef __CPU_INIT__
#define __CPU_INIT__

/* CPU固有初期化処理 */
void CPU_BusInitialize(void);

/* CPU割り込み初期化処理 */
void CPU_IRQInitialize(void);

/* CPU割り込み処理 */
void CPU_IRQInterrupt(void);

/* Monitor.c より by KOU */
void xprintf (const char*, ...);
void init_fs( void ) ;
// SDカードのpathのファイル一覧取得 list[flistmax][fnamemax] 　再帰なし
int GetFileList( char *path, char *list, int fnamemax, int flistmax ) ;

int xstrlen (const char*);
char *xstrcpy (char*, const char*);
void put_dump (const void*, unsigned long, int);

#endif
